View Issue Details

IDProjectCategoryView StatusLast Update
0025911mantisbtjavascriptpublic2019-07-15 10:32
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.22.0Fixed in Version2.22.0 
Summary0025911: Improve client-side sortable tables script
Description

The script to create client-side sortable tables is improved with:

  • Allow a "no-sort" class to the <th> header to not include that column in the sorting.
  • Force a hard limit on table sizes to avoid preformance issues in client side due to very big tables.
TagsNo tags attached.

Activities

cproensa

cproensa

2019-07-08 19:31

developer   ~0062369

referencing PR https://github.com/mantisbt/mantisbt/pull/1486

Related Changesets

MantisBT: master 711e065e

2019-03-20 19:18:36

cproensa


Committer: dregad Details Diff
Support non sorting columns in sortable tables

Update the script to create sortable tables with list js, to allow the
definition of a column that is not enabled for sorting.
Then, by adding the class "no-sort" to the <th> header, that column will
have sorting disabled.

Fixes: 0025911
Affected Issues
0025911
mod - js/common.js Diff File

MantisBT: master 6630cfd9

2019-07-08 18:57:15

cproensa


Committer: dregad Details Diff
Avoid big tables for sortable tables

Don't apply sortable table script if the table contains more than 1000
rows. This is a rough safeguard to avoid performance issues in client
side.

Fixes: 0025911
Affected Issues
0025911
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2019-07-08 19:29 cproensa New Issue
2019-07-08 19:30 cproensa Assigned To => cproensa
2019-07-08 19:30 cproensa Status new => assigned
2019-07-08 19:31 cproensa Note Added: 0062369
2019-07-15 08:42 dregad Changeset attached => MantisBT master 711e065e
2019-07-15 08:42 dregad Changeset attached => MantisBT master 6630cfd9
2019-07-15 08:42 cproensa Status assigned => resolved
2019-07-15 08:42 cproensa Resolution open => fixed
2019-07-15 08:42 cproensa Fixed in Version => 2.21.2
2019-07-15 10:32 dregad Fixed in Version 2.21.2 => 2.22.0
2019-07-15 10:32 dregad Target Version => 2.22.0